MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ScopeDatabaseLock Class Reference

`#include <DatabaseLock.hxx>`

## Public Member Functions
| ScopeDatabaseLock ()
| ~ScopeDatabaseLock ()
void | unlock ()
| Unlock the mutex now, making the destructor a no-op. More...

## Detailed Description

Definition at line 86 of file DatabaseLock.hxx.

## Constructor & Destructor Documentation

ScopeDatabaseLock::ScopeDatabaseLock | ( |  | ) |
| inline

Definition at line 90 of file DatabaseLock.hxx.

ScopeDatabaseLock::~ScopeDatabaseLock | ( |  | ) |
| inline

Definition at line 94 of file DatabaseLock.hxx.

## Member Function Documentation

void ScopeDatabaseLock::unlock | ( |  | ) |
| inline

Unlock the mutex now, making the destructor a no-op.

Definition at line 102 of file DatabaseLock.hxx.

The documentation for this class was generated from the following file:

- db/DatabaseLock.hxx